public class RestServletRequestParamReader extends ServletRequestParamReader
ParamReader which reads parameters from a JSON-REST request. That is, instead of just
looking in the JSON body, it also looks at path and query parameters. This is mainly for use
with EndpointsServlet, and tries to emulate existing behavior
by stuffing path and query parameters into the main request body.objectReader, servletRequest| Constructor and Description |
|---|
RestServletRequestParamReader(EndpointMethod method,
javax.servlet.http.HttpServletRequest servletRequest,
javax.servlet.ServletContext servletContext,
ApiSerializationConfig serializationConfig,
ApiMethodConfig methodConfig,
java.util.Map<java.lang.String,java.lang.String> rawPathParameters) |
| Modifier and Type | Method and Description |
|---|---|
java.lang.Object[] |
read()
Reads parameters in JSON into an Object array to be used to invoke an Endpoint method.
|
deserializeParams, getParameterNamesgetMethodpublic RestServletRequestParamReader(EndpointMethod method, javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.ServletContext servletContext, ApiSerializationConfig serializationConfig, ApiMethodConfig methodConfig, java.util.Map<java.lang.String,java.lang.String> rawPathParameters)
public java.lang.Object[] read()
throws ServiceException
ParamReaderread in interface ParamReaderread in class ServletRequestParamReaderServiceException - when reading of input stream failed, input JSON is invalid,
or cannot be mapped into parameter objects, or user authentication fails.